<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>gRPC Demo</title>
    <script
      src="https://code.jquery.com/jquery-3.6.1.min.js"
      integrity="sha256-o88AwQnZB+VDvE9tvIXrMQaPlFFSUTR+nldQm1LuPXQ="
      crossorigin="anonymous"
    ></script>
    <script src="js/echo.js"></script>
    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
      href="https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;700&display=swap"
      rel="stylesheet"
    />
    <style>
      html {
        font-family: "Roboto", sans-serif;
        font-weight: 400;
      }
      * {
        font: inherit;
        margin: 0;
        padding: 0;
      }
      body {
        background-color: white;
      }
      .echo-box {
        margin-top: 3em;
        max-width: 50em;
        border: 2px solid black;
        border-radius: 1em;
        margin-inline: auto;
        padding: 2em;
        /* light greige #DCD6D0 */
        background-color: #dcd6d0;
      }
      .echo-box > * {
        margin-block: 0.5em;
      }
      .echo-title {
        font-size: 2rem;
        font-weight: 700;
      }
      .echo-response {
        border: 1px solid black;
        max-width: 80ch;
        height: 3em;
      }
      #echo-response-box {
        background-color: white;
        width: 30ch;
        color: #555555;
      }
      #send-button {
        cursor: pointer;
        padding-block: 0.5em;
        padding-inline: 1em;
      }
      #send-button,
      #echo-phrase,
      #echo-response-box {
        padding-block: 0.5em;
        padding-inline: 1em;
      }
    </style>
  </head>
  <body>
    <div class="echo-box">
      <h1 class="echo-title">Echo App</h1>

      <h2>Enter phrase to be echoed</h2>
      <form action="">
        <input type="text" id="echo-phrase" />
        <button id="send-button">Echo me!</button>
      </form>
      <h2>Echo says:</h2>
      <div class="echo-response" id="echo-response-box"></div>
    </div>
  </body>
</html>
